Bug 175926 - ports-mgmt/portupgrade: portupgrade's "YYYY-MM-DDThh:mm:ss" is broken recently
ports-mgmt/portupgrade: portupgrade's "YYYY-MM-DDThh:mm:ss" is broken recently
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 14:00 UTC by deeptech71
Modified: 2013-03-13 11:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description deeptech71 2013-02-07 14:00:00 UTC
Previously, running something like
# portupgrade -wfuc '<2013-12-31T13:37:00'
allowed the following:
- All ports were rebuilt (and reinstalled), with the then-used compiler, compiler version, and compiler flags.
- During the rebuilding proces, the system was mostly operational as a desktop environment.
- If some ports failed to build, I could fix them locally, and continue (as opposed to restart) the building procedure by rerunning the same portupgrade command.

Now it appears that portupgrade's "<YYYY-MM-DDThh:mm:ss" is broken
- when pkgng is used, or
- in a recent version of portupgrade.
Any date specification causes all ports to be rebuilt (regardless of installation date).
Comment 1 Edwin Groothuis freebsd_committer 2013-02-08 00:56:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-02-08 01:58:03 UTC
You are using 2013-12-31 ? Everything *is* before that.

It's possible this is just a pkgng integration issue.

Comment 3 deeptech71 2013-02-11 22:23:58 UTC
On 02/08/2013 02:58, Bryan Drewery wrote:
> You are using 2013-12-31 ? Everything *is* before that.

No, 2013-12-31 was just placeholder text. I should have used 1999-12-31.
Comment 4 Bryan Drewery freebsd_committer 2013-03-07 12:25:58 UTC
State Changed
From-To: open->analyzed

Fix being tested
Comment 5 dfilter freebsd_committer 2013-03-07 13:28:55 UTC
Author: bdrewery
Date: Thu Mar  7 13:28:48 2013
New Revision: 313585
URL: http://svnweb.freebsd.org/changeset/ports/313585

Log:
  - Update to checkin 6c357b3
  
  Changes:
    * Fix date parsing when using pkgng
  
  PR:		ports/175926

Modified:
  head/ports-mgmt/portupgrade-devel/Makefile
  head/ports-mgmt/portupgrade-devel/distinfo

Modified: head/ports-mgmt/portupgrade-devel/Makefile
==============================================================================
--- head/ports-mgmt/portupgrade-devel/Makefile	Thu Mar  7 13:22:17 2013	(r313584)
+++ head/ports-mgmt/portupgrade-devel/Makefile	Thu Mar  7 13:28:48 2013	(r313585)
@@ -3,7 +3,7 @@
 
 PORTNAME=	portupgrade
 PORTVERSION=	20130303
-PORTREVISION=	1
+PORTREVISION=	2
 PORTEPOCH=	3
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	GH \
@@ -23,7 +23,7 @@ CONFLICTS_INSTALL=	portupgrade-[0-9]*
 USE_GITHUB=	yes
 GH_ACCOUNT=	pkgtools
 GH_PROJECT=	pkgtools
-GH_COMMIT=	a05c5da
+GH_COMMIT=	6c357b3
 GH_TAGNAME=	${GH_COMMIT}
 
 DIST_SUBDIR=	${PORTNAME}

Modified: head/ports-mgmt/portupgrade-devel/distinfo
==============================================================================
--- head/ports-mgmt/portupgrade-devel/distinfo	Thu Mar  7 13:22:17 2013	(r313584)
+++ head/ports-mgmt/portupgrade-devel/distinfo	Thu Mar  7 13:28:48 2013	(r313585)
@@ -1,2 +1,2 @@
-SHA256 (portupgrade/pkgtools-pkgtools-20130303-0-ga05c5da.tar.gz) = d02c51a96ed8027b9c90046b0b632104f9e4d8265aacbe70a64f6be7e030585c
-SIZE (portupgrade/pkgtools-pkgtools-20130303-0-ga05c5da.tar.gz) = 105561
+SHA256 (portupgrade/pkgtools-pkgtools-20130303-0-g6c357b3.tar.gz) = 779043557cc84db19904345c589f49c12a196912d622c234c9624814d1d75a9c
+SIZE (portupgrade/pkgtools-pkgtools-20130303-0-g6c357b3.tar.gz) = 105646
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Bryan Drewery freebsd_committer 2013-03-13 11:13:48 UTC
State Changed
From-To: analyzed->closed

Fix committed to ports-mgmt/portupgrade.
Comment 7 dfilter freebsd_committer 2013-03-13 11:13:49 UTC
Author: bdrewery
Date: Wed Mar 13 11:13:36 2013
New Revision: 314066
URL: http://svnweb.freebsd.org/changeset/ports/314066

Log:
  - Update to 2.4.10.5
  
  Changes:
   * Fix -O flag not always being respected
   * Disable dependency sanity checking with PKGNG as it has its own mechcanism
     pkg-check(8) for that.
   * Fix date parsing support with PKGNG [1]
  
  PR:		ports/175926 [1]
  Reported by:	deeptech71 <deeptech71@gmail.com> [1]

Modified:
  head/ports-mgmt/portupgrade-devel/Makefile
  head/ports-mgmt/portupgrade-devel/distinfo
  head/ports-mgmt/portupgrade/Makefile
  head/ports-mgmt/portupgrade/distinfo

Modified: head/ports-mgmt/portupgrade-devel/Makefile
==============================================================================
--- head/ports-mgmt/portupgrade-devel/Makefile	Wed Mar 13 11:10:10 2013	(r314065)
+++ head/ports-mgmt/portupgrade-devel/Makefile	Wed Mar 13 11:13:36 2013	(r314066)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	portupgrade
-PORTVERSION=	20130307
+PORTVERSION=	20130313
 PORTEPOCH=	3
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	GH \
@@ -22,7 +22,7 @@ CONFLICTS_INSTALL=	portupgrade-[0-9]*
 USE_GITHUB=	yes
 GH_ACCOUNT=	pkgtools
 GH_PROJECT=	pkgtools
-GH_COMMIT=	6c357b3
+GH_COMMIT=	2187011
 GH_TAGNAME=	${GH_COMMIT}
 
 DIST_SUBDIR=	${PORTNAME}

Modified: head/ports-mgmt/portupgrade-devel/distinfo
==============================================================================
--- head/ports-mgmt/portupgrade-devel/distinfo	Wed Mar 13 11:10:10 2013	(r314065)
+++ head/ports-mgmt/portupgrade-devel/distinfo	Wed Mar 13 11:13:36 2013	(r314066)
@@ -1,2 +1,2 @@
-SHA256 (portupgrade/pkgtools-pkgtools-20130307-0-g6c357b3.tar.gz) = 779043557cc84db19904345c589f49c12a196912d622c234c9624814d1d75a9c
-SIZE (portupgrade/pkgtools-pkgtools-20130307-0-g6c357b3.tar.gz) = 105646
+SHA256 (portupgrade/pkgtools-pkgtools-20130313-0-g2187011.tar.gz) = 5b11593b62bc4bfb19fd628d8120e48ac81ef8dc0b704839717a7a25ce7289d1
+SIZE (portupgrade/pkgtools-pkgtools-20130313-0-g2187011.tar.gz) = 105653

Modified: head/ports-mgmt/portupgrade/Makefile
==============================================================================
--- head/ports-mgmt/portupgrade/Makefile	Wed Mar 13 11:10:10 2013	(r314065)
+++ head/ports-mgmt/portupgrade/Makefile	Wed Mar 13 11:13:36 2013	(r314066)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	portupgrade
-PORTVERSION=	2.4.10.4
-PORTREVISION=	1
+PORTVERSION=	2.4.10.5
 PORTEPOCH=	2
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	SF/portupgrade/pkgtools/dist/ \

Modified: head/ports-mgmt/portupgrade/distinfo
==============================================================================
--- head/ports-mgmt/portupgrade/distinfo	Wed Mar 13 11:10:10 2013	(r314065)
+++ head/ports-mgmt/portupgrade/distinfo	Wed Mar 13 11:13:36 2013	(r314066)
@@ -1,2 +1,2 @@
-SHA256 (portupgrade/pkgtools-2.4.10.4.tar.bz2) = 9f97855698e737df2917ad78ba20d92f20d64fff56521a718a6002170fdec408
-SIZE (portupgrade/pkgtools-2.4.10.4.tar.bz2) = 85019
+SHA256 (portupgrade/pkgtools-2.4.10.5.tar.bz2) = 9f7d1c5dbcd1dfd20b1ed8c7caab19637d2e35597c663937ef8b20b2d7c817c1
+SIZE (portupgrade/pkgtools-2.4.10.5.tar.bz2) = 85159
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"